ATA_HOST_START(9)

NAME
ata_host_start - start and freeze ports of an ATA host

SYNOPSIS

int ata_host_start(struct ata_host * host);

ARGUMENTS

host
    ATA host to start ports for

DESCRIPTION

Start and then freeze ports of host. Started status is recorded in host->flags, so this function can be called multiple times. Ports are guaranteed to get started only once. If host->ops isn't initialized yet, its set to the first non-dummy port ops.

LOCKING

Inherited from calling layer (may sleep).

RETURNS

0 if all ports are started successfully, -errno otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT